Subject: [86attendees] Sessions times for each IETF WGs- concerns and suggestions?

From: "Hosnieh Rafiee" <[email-masked]>
Date: Thu, 7 Mar 2013 19:10:31 +0100

There is a question that came to my mind. I just noticed that some WG have
more session time than what they need for their presentations while other
WG's don't have enough time allotted to accommodate the needs of their
people wanting to make a presentation. At the beginning I thought that the
time allotted was requested by the WG's chair based on the number of active
drafts but that there was a maximum overall time that could be requested.
But it appears that this is not true, at least with respect to the first
criteria. So, it would be great if someone can explain here how some WG's
can have 3 sessions, some 2, and another just one even though some do not
need even one whole session. 

Thanks,

Hosnieh

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 07 Mar 2013 11:14:49 -0700

On 3/7/13 11:10 AM, Hosnieh Rafiee wrote:
> There is a question that came to my mind. I just noticed that some
> WG have more session time than what they need for their
> presentations while other WG's don't have enough time allotted to
> accommodate the needs of their people wanting to make a
> presentation. At the beginning I thought that the time allotted was
> requested by the WG's chair based on the number of active drafts
> but that there was a maximum overall time that could be requested. 
> But it appears that this is not true, at least with respect to the
> first criteria. So, it would be great if someone can explain here
> how some WG's can have 3 sessions, some 2, and another just one
> even though some do not need even one whole session.

Because scheduling is really really hard -- lots of session requests,
lots of conflicts to be avoided, etc. The IESG and the Secretariat
spend a *lot* of time on this before every meeting.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: joel jaeggli <[email-masked]>
Date: Thu, 07 Mar 2013 10:25:59 -0800

On 3/7/13 10:10 AM, Hosnieh Rafiee wrote:
>
> There is a question that came to my mind. I just noticed that some WG 
> have more session time than what they need for their presentations 
> while other WG’s don’t have enough time allotted to accommodate the 
> needs of their people wanting to make a presentation. At the beginning 
> I thought that the time allotted was requested by the WG’s chair based 
> on the number of active drafts but that there was a maximum overall 
> time that could be requested. But it appears that this is not true, at 
> least with respect to the first criteria. So, it would be great if 
> someone can explain here how some WG’s can have 3 sessions, some 2, 
> and another just one even though some do not need even one whole session.
>
The WG chairs request time in the schedule based on their expected needs.

They then allocate time in a somewhat idioscratic fashion given 
differing working grouops operate in different fashions (e.g. some are 
large, some are small, some have few documents / charter items, some 
have many, some are in their terminal stages, some are being born, some 
accept a lot of unsolicited drafts, some are focused on a very few drafts).

It is unreasonable for a large working group with a lot of unsolicited 
drafts to simply give them all 20 minu3tes such that they need 5 meeting 
slots, so an editorial conceit (e.g. we only bring drafts that are 
already working groups items or which have been tested on the list, for 
example) might be applied, or the time slots may be compressed 
accordingly or both.

Onus is on the chairs to use the resources at their disposal in order to 
run a successful meeting (I would define successful as one which 
advances the goals of the wg as specified in the charter) and time 
management is a key part of that.
>
> Thanks,
>
> Hosnieh
>
>
>
> _______________________________________________
> 86attendees mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/86attendees

---

From: "Hosnieh Rafiee" <[email-masked]>
Date: Thu, 7 Mar 2013 19:41:10 +0100

It appears to me that this process works like FIFO, the one who requests
first gets the most time.

May I offer a suggestion. It would  not be too difficult to write an
application that can simplify this scheduling task for the IESG and the
Secretariat. One just needs to use one of the available algorithms that
applies to this situation. What the application would need to do is get some
inputs such as the name of WGs that should not be slotted for the same time
or date, the time needed for each WG, the max available sessions, the total
number of WGs. I think there are good developers within the IETF that could
do this, especially in tools group. 

Thanks for your response however I still do not understand how cumulative
time is requested by and assigned to a WG, i.e., why some have a total of
say 5 hours and another 2 hours.  

I hope that with this question and suggestion I will not be shot when I show
up in Orlando, just kidding...  ;-) 

Hosnieh 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Peter Saint-Andre
Sent: Thursday, March 07, 2013 7:15 PM
To: Hosnieh Rafiee
Cc: [email-masked]
Subject: Re: [86attendees] Sessions times for each IETF WGs- concerns and
suggestions?

On 3/7/13 11:10 AM, Hosnieh Rafiee wrote:
> while other WG's don't have enough time allotted to accommodate the 
> I thought that the time allotted was requested by the WG's chair based 
> time that could be requested.
> first criteria. So, it would be great if someone can explain here how 
> some WG's can have 3 sessions, some 2, and another just one even 
> though some do not need even one whole session.

Because scheduling is really really hard -- lots of session requests, lots
of conflicts to be avoided, etc. The IESG and the Secretariat spend a *lot*
of time on this before every meeting.

Peter

- --
Peter Saint-Andre
https://stpeter.im/

---

From: Derek Atkins <[email-masked]>
Date: Thu, 7 Mar 2013 10:48:17 -0800

Hosnieh,

> first gets the most time.

It may appear that way, but it most certainly does not work that way.

> do this, especially in tools group. 

This is already the input into the process.  Each WG Chair provides that
list of conflicts, the length of time they want, number of slots, etc.

> say 5 hours and another 2 hours.  

Often it's because the Chairs have asked for that time.  I've had
working groups where I've asked for 1 hour; I've had groups where I've
asked for multiple long slots.  It all depends on the WG, work to do,
participation, agenda, etc.

> up in Orlando, just kidding...  ;-) 

It's not new information.  These discussions have happened before, and
what happens behind the scenes *IS* pretty much what you're asking.

> Hosnieh 

-derek

> --

---

From: Margaret Wasserman <[email-masked]>
Date: Thu, 7 Mar 2013 13:51:58 -0500

Hi Hosnieh,

Are you aware of a WG that has received less time than the WG chairs have requested?  When I have chaired WGs, I have always been given the amount of time that I have asked for, whether that was 1 hour or 7.5 hours.

Sometimes, when agendas are over full, it is because the WG chairs did not properly anticipate the amount of time that would be required, so they did no request enough time.

Margaret

On Mar 7, 2013, at 1:41 PM, "Hosnieh Rafiee" <[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
> 
> iQIcBAEBAgAGBQJRONkYAAoJEOoGpJErxa2pu/IP/290KNWATP2Y/tssYfAYXw71
> Sic0wL36yaVJGx/R83Q3//tGBqqQyqAiDA18EharCymQDvXgtXrMcSGVhFNN/JMf
> +1wDt9KPHwjN6w+Z8NZTYZnyCkl/CIJ7wv+7el2oLGNeiQSc5INUtoO+yywnOTdQ
> 2Us0e99V+74UYGtoGbcal1fipnU+oGTKNDg2m91R9NIZig+FQMNALbBVqwVnx/ES
> wk9VpbnFRHKyXlhXvswdyToJprubZCs6MVlYz/0ExwZSUZgofBNyDMhQjotuv4g6
> WcUr2druDLrp4eNF+y5l+DAY5rf/SMn5l1YxMQxvFBuL9RO9wD9o/EKEOxcUPh6A
> NfC//av11XBglMeSdlwzDPS+XXhdFN5VjkTpAWinKPLV7TwWcqy0dAPHdRjxHkPt
> OfdEAMuVI05kzrz89Nr3pHGSBgkJ9rG5quFfm68T/4W1lFhGTRNhRhDSAuKnhOnm
> oot8wXZwvB8p8DfJxbCsPpqMb7e2kes9f/xsDt7iPpAug/ISRdZzz29CHTvwb2bA
> HrFM2grEnBBAblE0ML4lMrLAlkTWdZ4dlzEuBhlx4WU7CE8Sz8hEIGaGAUZ3eshj
> gjkv/n6u4XXpxgO+Eyn8jh8F6pJe7OuZJeI7uXS1ObbmhGOOtiIr51Sq9HyTWs0t
> 3KTg3yjzOR6uJD7PA/7J
> =IdyG
> -----END PGP SIGNATURE-----

---

From: "Hosnieh Rafiee" <[email-masked]>
Date: Thu, 7 Mar 2013 19:56:14 +0100

No I am not. That is my point. That is what I wanted to find out. If WG's
get the time that they request then there seems to be a problem with WGs not
requesting a suitable amount of time, enough time to accommodate all
solicited draft RFCs for which a time slot has been requested.

Thanks Margaret,
Hosnieh

-----Original Message-----
From: Margaret Wasserman [mailto:[email-masked]] 
Sent: Thursday, March 07, 2013 7:50 PM
To: Hosnieh Rafiee
Cc: 'Peter Saint-Andre'; [email-masked]
Subject: Re: [86attendees] Sessions times for each IETF WGs- concerns and
suggestions?

Hi Hosnieh,

Are you aware of a WG that has received less time than the WG chairs have
requested?  When I have chaired WGs, I have always been given the amount of
time that I have asked for, whether that was 1 hour or 7.5 hours.

Sometimes, when agendas are over full, it is because the WG chairs did not
properly anticipate the amount of time that would be required, so they did
no request enough time.

Margaret

On Mar 7, 2013, at 1:41 PM, "Hosnieh Rafiee" <[email-masked]> wrote:

> It appears to me that this process works like FIFO, the one who 
> requests first gets the most time.
> 
> application that can simplify this scheduling task for the IESG and 
> the Secretariat. One just needs to use one of the available algorithms 
> that applies to this situation. What the application would need to do 
> is get some inputs such as the name of WGs that should not be slotted 
> for the same time or date, the time needed for each WG, the max 
> available sessions, the total number of WGs. I think there are good 
> developers within the IETF that could do this, especially in tools group.
> 
> Thanks for your response however I still do not understand how 
> cumulative time is requested by and assigned to a WG, i.e., why some 
> have a total of say 5 hours and another 2 hours.
> 
> I hope that with this question and suggestion I will not be shot when 
> I show up in Orlando, just kidding...  ;-)
> 
> Hosnieh
> 
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Peter Saint-Andre
> Subject: Re: [86attendees] Sessions times for each IETF WGs- concerns 
> and suggestions?
> 
>> needs of their people wanting to make a presentation. At the 
>> beginning I thought that the time allotted was requested by the WG's 
>> chair based on the number of active drafts but that there was a 
>> maximum overall time that could be requested.

---

From: Derek Atkins <[email-masked]>
Date: Thu, 7 Mar 2013 11:05:11 -0800

Correct, if there is not enough time then often it's a result of the WG
Chair not requesting enough time.  (Note that I said "often" --
sometimes, when the IETF schedule is very full, not all requests can be
met..  but that's infrequent in my experience)

-derek

---

From: Barry Leiba <[email-masked]>
Date: Thu, 7 Mar 2013 14:06:09 -0500

> first gets the most time.

I don't understand who "the one who" is here.  Do you mean the chair
who requests time for her working group to meet?  Or do you mean the
participant who requests time in the working group's session agenda?

Requests by working group chairs for session slots are most certainly
NOT put in any sort of order.  Let me explain how it works:

- There is a call for session requests made on the wgchairs mailing
list.  In that call, the Secretariat reminds the chairs of the URL for
the request tool and the deadline for making requests.  Reminders are
sent out also, and some of the ADs send extra reminders to the chairs
of working groups for which we see no requests.

- Chairs may request one or two sessions with specific lengths -- the
choices might be 1 hour, 1.5 hours, 2 hours, 2.5 hours.  In their
requests, they specify the list of other working groups they do not
want their sessions to conflict with, and they specify how many
attendees they anticipate.

- Chairs may request more than two sessions if they get their AD's
approval.  That's rare.

- After the deadline, the Secretariat uses the requests (including the
conflict list) to make a first-draft schedule.  Sometimes, room sizes
need to be taken into account as well, in venues where some of the
rooms are small.

- The IESG bats the first draft around for a bit, and the Secretariat
makes a second draft.  The IESG gets on the phone and fine-tunes that
in a very tedious conference call.

- The Secretariat posts the resulting schedule as a draft agenda, and
the wgchairs list perks up with discussion of what still needs to be
changed because of conflicts.

- A final agenda comes out... and it always happens that changes to
the "final" one still need to be made.

Unless there's a good reason, no working group gets less time than the
chairs requested.  It does sometimes happen, because of tight
contraints, but we always try to loop the chairs into the discussion
of that.

> Secretariat. One just needs to use one of the available algorithms

Please excuse me for being flippant, but any use of the phrase "not
too difficult" with respect to IETF meeting scheduling can only come
from someone who hasn't participated in the above process.  Trust me:
it's *extremely* difficult.  If you care to, see out Wanda Lo, who is
our agenda wizard, and talk with her about why it's a nightmare.

That said, we are working on tools to help.  But the tools will
*help*; they will not make it all a trivial, automated process.

> say 5 hours and another 2 hours.

The short answer, which you can get from the details above, is that
it's a question of what the chairs requested.

Barry, Applications AD

---

From: Benoit Claise <[email-masked]>
Date: Thu, 07 Mar 2013 20:06:57 +0100

On 7/03/2013 19:56, Hosnieh Rafiee wrote:
> No I am not. That is my point.
I'm aware of one WG who received more time than requested (it was more 
convenient from a scheduling point of view), but not less.

Regards, Benoit
> That is what I wanted to find out. If WG's

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 7 Mar 2013 19:18:26 +0000

I hate adding to the noise as it makes everyone less likely to subscribe to this list, but ...

How could a WG chair possibly know exactly how much time to request?? It is a guess because otherwise the chairs would have to close on the agenda weeks before the meeting -- see the key dates for meetings to understand the timeline.

Also, time management during a session is a difficult issue for the chairs. You can't just stop all discussion when time is up as there could still be 5 people in line. And, most people underestimate how much time is often needed.

And there may be other things that happen during a session (a/v issues, missing presenters, ...).

Hosneih you must be new to the IETF, otherwise you would understand this is not an easy process for all involved. No system will ever be perfect and the current system works reasonably well.

- Bernie

---

From: Mary Barnes <[email-masked]>
Date: Thu, 7 Mar 2013 13:28:34 -0600

On Thu, Mar 7, 2013 at 1:18 PM, Bernie Volz (volz) <[email-masked]> wrote:

> How could a WG chair possibly know exactly how much time to request?? It
> is a guess because otherwise the chairs would have to close on the agenda
> weeks before the meeting -- see the key dates for meetings to understand
> the timeline.
>
[MB] While it is a guess, for many WGs it is a fairly educated guess.
Chairs should know hot topics that require discussion and they can
certainly ask folks to request agenda time before the cutoff to request
sessions.  That all said, I did get more time that I really needed for one
of my Wgs and offered to swap, but it creates a lot of confusion to do
that. The difficult aspect isn't necessarily allocating the time to WGs,
it's avoiding conflicts.  There are a number of people that work cross
areas. [/MB]

>
> Also, time management during a session is a difficult issue for the
> chairs. You can't just stop all discussion when time is up as there could
> still be 5 people in line. And, most people underestimate how much time is
> often needed.
>
[MB] This is something chairs should work on.  The agenda should be
prioritize to cover WG doc issues, etc. Certainly, there are exceptions
when discussions might be close to converging and it's valuable to
continue.  Chairs can freeze the queues to manage the time.  In the past,
RAI groups were giving lots of topics as few as 5 min of agenda time - that
worked very poorly.  In my experience if the topic has any substance, you
need at least 15-20 min.  For WG documents with not a lot happening the
chairs can run through those charts and don't need document authors to
stand up and do the presentations.    [/MB]

> Hosneih you must be new to the IETF, otherwise you would understand this
> is not an easy process for all involved. No system will ever be perfect and
> the current system works reasonably well.

---

From: Dave Thaler <[email-masked]>
Date: Thu, 7 Mar 2013 19:34:26 +0000

And within a particular WG it's not FIFO (at least in general).
For example in the PCP WG we have a well-known policy.
>From slide 4 of http://www.ietf.org/proceedings/85/slides/slides-85-pcp-9.pdf:

"By default, time allocation is given in the following priority order: 
1) WG milestone items 
2) Individual drafts which have gotten discussion on the list 
3) Others

PCP WG does not give 5 minute slots, so don't ask"

As chairs, we request time based on experience from previous meetings,
and from what we see active on the list, to allow for time for priority 1+2 items.

-Dave

> From: [email-masked] [mailto:86attendees-
> [email-masked]] On Behalf Of Barry Leiba
> Sent: Thursday, March 7, 2013 11:06 AM
> To: Hosnieh Rafiee
> Cc: [email-masked]
> I don't understand who "the one who" is here.  Do you mean the chair who
> requests time for her working group to meet?  Or do you mean the
> Requests by working group chairs for session slots are most certainly NOT put
> in any sort of order.  Let me explain how it works:
> 
> - There is a call for session requests made on the wgchairs mailing list.  In that
> call, the Secretariat reminds the chairs of the URL for the request tool and
> the deadline for making requests.  Reminders are sent out also, and some of
> the ADs send extra reminders to the chairs of working groups for which we
> see no requests.
> 
> - Chairs may request one or two sessions with specific lengths -- the choices
> might be 1 hour, 1.5 hours, 2 hours, 2.5 hours.  In their requests, they specify
> the list of other working groups they do not want their sessions to conflict
> with, and they specify how many attendees they anticipate.
> 
> - Chairs may request more than two sessions if they get their AD's approval.
> That's rare.
> 
> - After the deadline, the Secretariat uses the requests (including the conflict
> list) to make a first-draft schedule.  Sometimes, room sizes need to be taken
> into account as well, in venues where some of the rooms are small.
> 
> - The IESG bats the first draft around for a bit, and the Secretariat makes a
> second draft.  The IESG gets on the phone and fine-tunes that in a very
> tedious conference call.
> 
> - The Secretariat posts the resulting schedule as a draft agenda, and the
> wgchairs list perks up with discussion of what still needs to be changed
> because of conflicts.
> 
> - A final agenda comes out... and it always happens that changes to the
> "final" one still need to be made.
> 
> Unless there's a good reason, no working group gets less time than the chairs
> requested.  It does sometimes happen, because of tight contraints, but we
> always try to loop the chairs into the discussion of that.
> 
> Please excuse me for being flippant, but any use of the phrase "not too
> difficult" with respect to IETF meeting scheduling can only come from
> someone who hasn't participated in the above process.  Trust me:
> it's *extremely* difficult.  If you care to, see out Wanda Lo, who is our
> agenda wizard, and talk with her about why it's a nightmare.
> 
> That said, we are working on tools to help.  But the tools will *help*; they will
> not make it all a trivial, automated process.
> 
> The short answer, which you can get from the details above, is that it's a
> question of what the chairs requested.
> 
> Barry, Applications AD

---

From: "Hosnieh Rafiee" <[email-masked]>
Date: Thu, 7 Mar 2013 20:37:42 +0100

Thanks all,
I received my answer. Now I know how complicated this process can be. I now
understand the role of the chair in this process and that it is not easy
from a time management perspective for the chair to actually know how much
time might be needed for the group.

Hosnieh

-----Original Message-----
From: Bernie Volz (volz) [mailto:[email-masked]] 
Sent: Thursday, March 07, 2013 8:18 PM
To: Hosnieh Rafiee
Cc: Margaret Wasserman; [email-masked]; Peter Saint-Andre
Subject: Re: [86attendees] Sessions times for each IETF WGs- concerns and
suggestions?

I hate adding to the noise as it makes everyone less likely to subscribe to
this list, but ...

How could a WG chair possibly know exactly how much time to request?? It is
a guess because otherwise the chairs would have to close on the agenda weeks
before the meeting -- see the key dates for meetings to understand the
timeline.

Also, time management during a session is a difficult issue for the chairs.
You can't just stop all discussion when time is up as there could still be 5
people in line. And, most people underestimate how much time is often
needed.

And there may be other things that happen during a session (a/v issues,
missing presenters, ...).

Hosneih you must be new to the IETF, otherwise you would understand this is
not an easy process for all involved. No system will ever be perfect and the
current system works reasonably well.

- Bernie

On Mar 7, 2013, at 1:56 PM, "Hosnieh Rafiee" <[email-masked]> wrote:

> No I am not. That is my point. That is what I wanted to find out. If 
> WG's get the time that they request then there seems to be a problem 
> with WGs not requesting a suitable amount of time, enough time to 
> accommodate all solicited draft RFCs for which a time slot has been
requested.
> Are you aware of a WG that has received less time than the WG chairs 
> have requested?  When I have chaired WGs, I have always been given the 
> amount of time that I have asked for, whether that was 1 hour or 7.5
hours.
> 
> Sometimes, when agendas are over full, it is because the WG chairs did 
> not properly anticipate the amount of time that would be required, so 
> they did no request enough time.
> 
> Margaret
> 
> 
>> the Secretariat. One just needs to use one of the available 
>> algorithms that applies to this situation. What the application would 
>> need to do is get some inputs such as the name of WGs that should not 
>> be slotted for the same time or date, the time needed for each WG, 
>> the max available sessions, the total number of WGs. I think there 
>> are good developers within the IETF that could do this, especially in
tools group.
>>> requested by the WG's chair based on the number of active drafts but 
>>> that there was a maximum overall time that could be requested.
>>> how some WG's can have 3 sessions, some 2, and another just one even

---

From: Michael Richardson <[email-masked]>
Date: Thu, 07 Mar 2013 14:38:52 -0500

>>>>> "Hosnieh" == Hosnieh Rafiee <[email-masked]> writes:
    Hosnieh> May I offer a suggestion. It would not be too difficult to
    Hosnieh> write an application that can simplify this scheduling task
    Hosnieh> for the IESG and the Secretariat. One just needs to use one
    Hosnieh> of the available algorithms that applies to this
    Hosnieh> situation. What the application would need to do is get
    Hosnieh> some inputs such as the name of WGs that should not be
    Hosnieh> slotted for the same time or date, the time needed for each
    Hosnieh> WG, the max available sessions, the total number of WGs. I
    Hosnieh> think there are good developers within the IETF that could
    Hosnieh> do this, especially in tools group.

http://iaoc.ietf.org/rfpsrfis.html
lists:
http://iaoc.ietf.org/documents/Agenda-Scheduling-Tool-RFP-2012-05-24-Final.pdf
which was awarded to my company.  Berlin will be better.
We had hoped to contribute positively to the planning effort for
Orlando, but it was not so.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Benoit Claise <[email-masked]>
Date: Fri, 08 Mar 2013 10:41:05 +0100

>From 
http://www.ietf.org/proceedings/83/slides/slides-83-iesg-2-ietf-operations-and-administration-plenary.pdf, 
you can see this picture.

Regards, Benoit

---

From: "Hosnieh Rafiee" <[email-masked]>
Date: Fri, 8 Mar 2013 11:17:29 +0100

Dear Benoit,

I understand that there is a need for people to check the inputs and outputs
and I also understand that this process cannot be a complete automate
process. On the other hand, I know that there are good algorithms that can
help to mitigate the difficulty of this process. one such algorithm might be
“Activity Selection”. I studied algorithms some years ago. Perhaps there are
other good algorithm available that I cannot remember them now.

Thanks,

Hosnieh

From: Benoit Claise [mailto:[email-masked]] 
Sent: Freitag, 8. März 2013 10:41
To: Barry Leiba
Cc: Hosnieh Rafiee; [email-masked]
Subject: Re: [86attendees] Sessions times for each IETF WGs- concerns and
suggestions?

 

From
http://www.ietf.org/proceedings/83/slides/slides-83-iesg-2-ietf-operations-a
nd-administration-plenary.pdf, you can see this picture.

Regards, Benoit

---

From: Richard Barnes <[email-masked]>
Date: Fri, 8 Mar 2013 08:52:33 -0500

Hosnieh,

Why not quit wasting time on a mailing list and just try it?  I'm sure if
you could come up with even a prototype, people would be interested in
trying it out.

The input would need to be something like:
1. Layout of meeting slots available
2. Per working group:
2.1. Amount of time requested
2.2. First-, second-, and third-priority conflict lists

(Essentially 2.2 gives you a weighted conflict graph)

The output would be an assignment of WGs to meeting slots that optimizes
some set of criteria, e.g.:
-- Most WGs get the amount of time they ask for
-- ... in a contiguous block
-- Conflicts are minimized

Good luck!

--Richard

On Fri, Mar 8, 2013 at 5:17 AM, Hosnieh Rafiee <[email-masked]> wrote:

> Dear Benoit,****
>
> ** **
>
> I understand that there is a need for people to check the inputs and
> outputs and I also understand that this process cannot be a complete
> automate process. On the other hand, I know that there are good algorithms
> that can help to mitigate the difficulty of this process. one such
> algorithm might be “Activity Selection”. I studied algorithms some years
> ago. Perhaps there are other good algorithm available that I cannot
> remember them now.****
>
> ** **
>
> Thanks,****
>
> Hosnieh****
>
> ** **
>
> *From:* Benoit Claise [mailto:[email-masked]]
> *Sent:* Freitag, 8. März 2013 10:41
> *To:* Barry Leiba
> *Cc:* Hosnieh Rafiee; [email-masked]
>
> *Subject:* Re: [86attendees] Sessions times for each IETF WGs- concerns
> and suggestions?****
>
> ** **
>
>
>
> ****
>
> ** **
>
> ** **
>
> Please excuse me for being flippant, but any use of the phrase "not****
>
> too difficult" with respect to IETF meeting scheduling can only come****
>
> from someone who hasn't participated in the above process.  Trust me:****
>
> it's *extremely* difficult.  If you care to, see out Wanda Lo, who is****
>
> our agenda wizard, and talk with her about why it's a nightmare.****
>
> ** **
>
> That said, we are working on tools to help.  But the tools will****
>
> *help*; they will not make it all a trivial, automated process.****
>
> ** **
>
> From
> Regards, Benoit****

---

From: Randall Gellens <[email-masked]>
Date: Fri, 8 Mar 2013 09:48:19 -0800

At 7:10 PM +0100 3/7/13, Hosnieh Rafiee wrote:

>  I just noticed that some WG have more session time than what they 
> need for their presentations while other WG's don't have enough 
> time allotted to accommodate the needs of their people wanting to 
> make a presentation.

Please keep in mind that the purpose of face-to-face meetings is not 
presentations, but rather productive discussions on open issues and 
larger WG issues.

If you think of the progress of a WG, problems are considered, 
solutions are proposed, text to implement the solutions is proposed 
and text that is initially accepted as a draft is iteratively 
refined.  During this process, open issues are identified and 
resolved.  You think of open issues as falling into three categories: 
(1) those that can be resolved through email discussion, (2) those 
that are at the moment intractable and for which discussion just 
keeps circling, and (3) those that are too hard or complex for 
effective email resolution but not so difficult or intrenched that 
all discussion circles.  The purpose of the face-to-face meeting is 
to handle those issues that fall into the third category.  The face 
to face meeting is also very useful for larger, scope-related issues.

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
If you would persuade, you must appeal to interest rather than intellect.
    --Benjamin Franklin

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sun, 10 Mar 2013 01:06:41 +0000

If you are interested in how the working group agenda process works, your best bet is to talk to the WG chairs of the groups you are interested in, because every working group is different - different charter, different working group chairs, different ADs, different stage in the lifetime and finally different participants.

Most of the working groups I've worked in have been reasonably easy to identify the appropriate length, and of the sessions I've chaired, I only had one finish early, and a couple were we had to drop items where we ran out of time.

That does not mean we programmed everything that related to a milestone, or every author draft on the agenda, as others have indicated on the list, and given excellent reasons why this is so.

The fundamental goal is some plan to achieve what is currently in the working group charter.

I'd also recommend the EDU session on WG leadership on Sunday 15:00 which will surely answer many questions directly, but also usually has time for you to ask the questions that were not answered and discuss them.

Regards

Keith

> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of Hosnieh Rafiee
> Sent: 07 March 2013 19:38
> To: 'Bernie Volz (volz)'
> Cc: 'Margaret Wasserman'; [email-masked]; 'Peter Saint-Andre'
> is
> is